Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey
Class SshPublicKeyFile

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.SshPublicKeyFile

public class SshPublicKeyFile
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`protected` | `SshPublicKeyFile(byte[] keyblob, SshPublicKeyFormat format)` Creates a new SshPublicKeyFile object.

Method Summary
`static SshPublicKeyFile` | `create(SshPublicKey key, SshPublicKeyFormat format)` DOCUMENT ME!
`java.lang.String` | `getAlgorithm()` DOCUMENT ME!
`byte[]` | `getBytes()` DOCUMENT ME!
`java.lang.String` | `getComment()` DOCUMENT ME!
`SshPublicKeyFormat` | `getFormat()` DOCUMENT ME!
`byte[]` | `getKeyBlob()` DOCUMENT ME!
`static SshPublicKeyFile` | `parse(byte[] formattedKey)` DOCUMENT ME!
`static SshPublicKeyFile` | `parse(java.io.File keyfile)` DOCUMENT ME!
`void` | `setComment(java.lang.String comment)` DOCUMENT ME!
`void` | `setFormat(SshPublicKeyFormat newFormat)` DOCUMENT ME!
`SshPublicKey` | `toPublicKey()` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SshPublicKeyFile

    protected SshPublicKeyFile(byte[] keyblob,
                               SshPublicKeyFormat format)

  Creates a new SshPublicKeyFile object.

Parameters:
  `keyblob` - DOCUMENT ME!
  `format` - DOCUMENT ME!

Method Detail

### getBytes

    public byte[] getBytes()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getComment

    public java.lang.String getComment()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setComment

    public void setComment(java.lang.String comment)

  DOCUMENT ME!

  Parameters:
    `comment` - DOCUMENT ME!

### getKeyBlob

    public byte[] getKeyBlob()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### create

    public static SshPublicKeyFile create(SshPublicKey key,
                                          SshPublicKeyFormat format)

  DOCUMENT ME!

  Parameters:
    `key` - DOCUMENT ME!
    `format` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### parse

    public static SshPublicKeyFile parse(java.io.File keyfile)
                                  throws InvalidSshKeyException,
                                         java.io.IOException

  DOCUMENT ME!

  Parameters:
    `keyfile` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### parse

    public static SshPublicKeyFile parse(byte[] formattedKey)
                                  throws InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `formattedKey` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### getAlgorithm

    public java.lang.String getAlgorithm()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setFormat

    public void setFormat(SshPublicKeyFormat newFormat)
                   throws InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `newFormat` - DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### getFormat

    public SshPublicKeyFormat getFormat()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### toPublicKey

    public SshPublicKey toPublicKey()
                             throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD